wavpack-devel-5.1.0-52.4.x86_64.rpm


Advertisement

Description

wavpack-devel - Development files for wavpack, an audio compression format

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename wavpack-devel-5.1.0-52.4.x86_64.rpm
Package name wavpack-devel
Package version 5.1.0
Package release 52.4
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://www.wavpack.com/
License BSD-3-Clause
Maintainer -
Download size 16.38 KB
Installed size 19.68 KB
WavPack is an open audio compression format providing lossless, high-quality
lossy, and unique hybrid compression modes.
This subpackage contains libraries and header files for developing
applications that want to make use of wavpack.

Alternatives

Package Version Architecture Repository
wavpack-devel-5.1.0-52.4.i586.rpm 5.1.0 i586 Multimedia Libs
wavpack-devel-5.1.0-4.2.x86_64.rpm 5.1.0 x86_64 openSUSE Oss
wavpack-devel-5.1.0-4.2.i586.rpm 5.1.0 i586 openSUSE Oss
wavpack-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
wavpack = 5.1.0

Provides

Name Value
pkgconfig(wavpack) = 5.1.0
wavpack-devel = 5.1.0-52.4
wavpack-devel(x86-64) = 5.1.0-52.4

Download

Type URL
Mirror widehat.opensuse.org
Binary Package wavpack-devel-5.1.0-52.4.x86_64.rpm
Source Package wavpack-5.1.0-52.4.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install wavpack-devel rpm package:
    # zypper install wavpack-devel

Files

Path
/usr/include/wavpack/wavpack.h
/usr/lib64/libwavpack.so
/usr/lib64/pkgconfig/wavpack.pc

Changelog

2019-01-07 - sbrabec@suse.com
- Fix denial-of-service (resource exhaustion caused by an infinite
loop; bsc#1120930, CVE-2018-19840, CVE-2018-19840.patch).
- Fix denial-of-service (out-of-bounds read and application crash;
bsc#1120929, CVE-2018-19841, CVE-2018-19841.patch).
2018-02-20 - kbabioch@suse.com
- Added CVE-2018-7253.patch: Fixed a heap based buffer overread in
cli/dsdiff.c, which allowed remote attackers to cause DoS via
a specially crafted input file (CVE-2018-7253, bsc#1081692)
- Added CVE-2018-7254.patch: Fixed a buffer overread in cli/caff.c,
which allowed remote attackers to cause DoS via a specially
crafted input file (CVE-2018-7254, bsc#1081693)
2018-02-19 - pmonrealgonzalez@suse.com
- Security fix [bsc#1079746, CVE-2018-6767]
* Crafted wav file can trigger a stack buffer overflow when
parsing the file
* Added wavpack-CVE-2018-6767.patch
2017-11-13 - jengelh@inai.de
- Compact description. Drop pointless --with-pic since no static
libs are built.
2017-11-09 - aavindraa@gmail.com
- Update to version 5.1.0
* new: command-line tagging utility (wvtag)
* added: option to import ID3v2.3 tags from Sony DSF files
* fixed: fuzz test failures from AFL reported on SourceForge
* improved: DSD decimation filter (less HF rolloff & CPU use)
* fixed: non-byte audio depths (12-bit, 20-bit) not showing
* fixed: rare case of noise-shaping triggering a lossy mute
* fixed: recognize UTF-8 BOM when reading text files
* fixed: a few portability issues
- Includes changes from 5.0.0:
* new: input formats (RF64, Wave64, and CAF)
* removed: support for legacy WavPack files (< 4.0)
* added: lossless DSD audio in Philips DSDIFF and Sony DSF files
* fixed: seeking in > 2GB WavPack files (new stream reader)
* fixed: accept > 4GB source audio files (all formats)
* improved: increase maximum samples from 2^32 to 2^40
* added: block checksums for robustness to corruption
* added: support for non-standard channel identities
* added: block decoder for streaming applications
* added: new pdf documentation
- For other changes, see upstream:
* https://github.com/dbry/WavPack/blob/master/ChangeLog
- cleanup with spec-cleaner
- remove wavpack-fix_pkgconfig.patch, fixed upstream in:
* d440649aa113797a50e94285c8c037dc2ad7a5a9
* 779a2e62783acc6a46f75dd89359e95079ef708a
* 7846e95eb1c3fa97da41dfe96de532c2df5ad281
- remove license.txt, use upstream copying file instead
- Drop Requires, Provides and Obsoletes, as the SUSE versions they
were needed for are now EOL.
2013-06-22 - crrodriguez@opensuse.org
- update to WavPack 4.70-beta (packaged as 4.60.99)
* 4GB file support on 32-bit OS
* memcpy() not always used correctly (Linux targets)
* unsigned char issue (ARM targets)
* use temporary files for safer overwriting
2012-02-13 - coolo@suse.com
- patch license to follow spdx.org standard
2011-11-25 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
2011-11-25 - coolo@suse.com
- remove _service
2011-03-06 - reddwarf@opensuse.org
- Add libwavpack1 to baselibs.conf

See Also

Package Description
webvfx-1.0.0-119.3.i586.rpm Video effects engine based on web technologies
webvfx-1.0.0-119.3.x86_64.rpm Video effects engine based on web technologies
webvfx-devel-1.0.0-119.3.i586.rpm Video effects engine based on web technologies
webvfx-devel-1.0.0-119.3.x86_64.rpm Video effects engine based on web technologies
webvfx-module-1.0.0-119.3.i586.rpm Webvfx module for MLT
webvfx-module-1.0.0-119.3.x86_64.rpm Webvfx module for MLT
wildmidi-0.4.2-1.5.i586.rpm Softsynth midi player
wildmidi-0.4.2-1.5.x86_64.rpm Softsynth midi player
wildmidi-devel-0.4.2-1.5.i586.rpm Development files for wildmidi
wildmidi-devel-0.4.2-1.5.x86_64.rpm Development files for wildmidi
xorriso-1.5.0-16.8.i586.rpm ISO 9660 Rock Ridge Filesystem Manipulator
xorriso-1.5.0-16.8.x86_64.rpm ISO 9660 Rock Ridge Filesystem Manipulator
xorriso-tcltk-1.5.0-16.8.i586.rpm Graphical frontend for xorriso
xorriso-tcltk-1.5.0-16.8.x86_64.rpm Graphical frontend for xorriso
xsynth-dssi-0.9.4-29.48.i586.rpm Xsynth an analog-style (VCAs-VCF-VCO) synth plugin
Advertisement
Advertisement